Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.utils
Class InterM4FromConceptProjection

    java.lang.Object
      edu.udo.cs.miningmart.m4.utils.InterM4Communicator
          edu.udo.cs.miningmart.m4.utils.InterM4FromConceptProjection

public class InterM4FromConceptProjection
extends InterM4Communicator

Helper class for standard communication between `Concept` (container) and `Projection` with the `Concept` in the role of the From-Concept.

Version:
  $Id: InterM4FromConceptProjection.java,v 1.3 2006/04/11 14:10:10 euler Exp $
Author:
  Martin Scholz

Constructor Summary
`InterM4FromConceptProjection()`

Method Summary
`java.util.Collection` | `getCollection(java.lang.Object concept)`
`java.lang.Object` | `getSingleRef(M4Object projection)`

Methods inherited from class edu.udo.cs.miningmart.m4.utils.InterM4Communicator
`add, checkNameExists, remove, setCollectionTo, updateReferenceTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterM4FromConceptProjection

    public InterM4FromConceptProjection()

Method Detail

### getSingleRef

    public java.lang.Object getSingleRef(M4Object projection)
                                  throws M4Exception

  Parameters:
    `projection` - a `Projection`
  Returns:
    the `Projection`'s From-`Concept`
  Throws:
    `M4Exception`
  See Also:
    `InterM4Communicator#getSingleRef(M4Object)`

### getCollection

    public java.util.Collection getCollection(java.lang.Object concept)
                                       throws M4Exception

  Parameters:
    `concept` - a `Concept`
  Returns:
    the `Concept`'s `Collection` of `Projection`s with the concept in the role of the From-Concept
  Throws:
    `M4Exception`
  See Also:
    `InterM4Communicator#getCollection(M4Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005